import request from '@/utils/request'

// 查询服务签到列表
export function listClockin(query) {
  return request({
    url: '/community/clockin/list-clockin',
    method: 'get',
    params: query
  })
}

// 查询服务签到详细
export function getClockin(dangjianClockinId) {
  return request({
    url: '/community/clockin/' + dangjianClockinId,
    method: 'get'
  })
}

// 新增服务签到
export function addClockin(data) {
  return request({
    url: '/community/clockin',
    method: 'post',
    data: data
  })
}

// 修改服务签到
export function updateClockin(data) {
  return request({
    url: '/community/clockin',
    method: 'put',
    data: data
  })
}

// 删除服务签到
export function delClockin(dangjianClockinId) {
  return request({
    url: '/community/clockin/' + dangjianClockinId,
    method: 'delete'
  })
}

// 社区查询 
export function getaddr() {
  return request({
    url: '/community/addr/list-community',
    method: 'get'
  })
}