import request from '@/utils/request'

// 查询下沉干部列表
export function listXiachenganbu(query) {
  return request({
    url: '/community/xiachenganbu/list',
    method: 'get',
    params: query
  })
}

// 查询下沉干部详细
export function getXiachenganbu(xiachenganbuId) {
  return request({
    url: '/community/xiachenganbu/' + xiachenganbuId,
    method: 'get'
  })
}

// 新增下沉干部
export function addXiachenganbu(data) {
  return request({
    url: '/community/xiachenganbu',
    method: 'post',
    data: data
  })
}

// 修改下沉干部
export function updateXiachenganbu(data) {
  return request({
    url: '/community/xiachenganbu',
    method: 'put',
    data: data
  })
}

// 删除下沉干部
export function delXiachenganbu(xiachenganbuId) {
  return request({
    url: '/community/xiachenganbu/' + xiachenganbuId,
    method: 'delete'
  })
}
